%global shortname isarray

Name:           nodejs-isarray
Version:        2.0.4
Release:        %mkrel 4
Summary:        Array#isArray for older browsers

License:        MIT
URL:            https://github.com/juliangruber/%{shortname}
Source0:        https://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
BuildArch:      noarch
Group:          Development/Other
BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package


%build
# Nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{shortname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
# There aren't any tests in released version yet

%files
%{nodejs_sitelib}/%{shortname}
#The license text is inside the README.md file
%doc README.md


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.0.4-4.mga9
+ Revision: 1818530
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.4-3.mga8
+ Revision: 1502924
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.4-2.mga7
+ Revision: 1280536
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.0.4-1.mga7
+ Revision: 1227262
- Update to version 2.0.4

* Sat May 14 2016 joequant <joequant> 0.0.1-2.mga6
+ Revision: 1015259
- remove exclusive arch
- imported package nodejs-isarray

